body{
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
}
.box{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 150px;
    height: 40px;
    background: #262626;
    box-sizing: border-box;
    padding: 3px;
}
.inner_box{
    position: relative;
    width: 100%;
    height: 100%;
    background: #fff ;
    overflow: hidden;
}
.box:before{
    content: '';
    position: absolute;
    top: 0;
    left: -50%;
    width: 50%;
    height: 100%;
    background: #fff;
    transition: .5s;
}
.box:after{
    content: '';
    position: absolute;
    top: 0;
    right: -50%;
    width: 50%;
    height: 100%;
    background: #fff;
    transition: .5s;
    z-index: 10;
}
.inner_box:before{
    content: '';
    position: absolute;
    top: 0;
    left: -50%;
    width: 50%;
    height: 100%;
    background: #262626;
    transition: .5s;
}
.inner_box:after{
    content: '';
    position: absolute;
    top: 0;
    right: -50%;
    width: 50%;
    height: 100%;
    background: #262626;
    transition: .5s;
    z-index: 11;
}
.box:hover:before{
    left: 0;
}
.box:hover:after{
    right: 0;
}
.box:hover .inner_box:before
{
    left: 0;
}
.box:hover .inner_box:after{
    right:0;
} 
 h4{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: #262626;
    z-index: 100;
    margin: 0;
    padding: 0;
    letter-spacing: 3px;
    transition: .5s;
}
.box:hover h4{
    color:#fff;
}